import { createAction, props } from '@ngrx/store';
export function createPaginationTraitActions(actionsGroupKey, entitiesName) {
    const actions = {
        loadEntitiesPage: createAction(`${actionsGroupKey} Load ${entitiesName} Page`, ({ index, forceLoad }) => ({
            index,
            forceLoad,
        })),
        loadEntitiesPageSuccess: createAction(`${actionsGroupKey} Load  ${entitiesName}
          Page Success`),
        loadEntitiesPageFail: createAction(`${actionsGroupKey} Load ${entitiesName} Page Fail`),
        loadEntitiesPreviousPage: createAction(`${actionsGroupKey} Load Previous ${entitiesName} Page`),
        loadEntitiesNextPage: createAction(`${actionsGroupKey} Load Next ${entitiesName} Page`),
        loadEntitiesFirstPage: createAction(`${actionsGroupKey} Load First ${entitiesName} Page`, (forceLoad) => ({ forceLoad })),
        loadEntitiesLastPage: createAction(`${actionsGroupKey} Load Last ${entitiesName} Page`),
        clearEntitiesPagesCache: createAction(`${actionsGroupKey} Clear ${entitiesName} Cache`),
        setEntitiesRequestPage: createAction(`${actionsGroupKey} Set ${entitiesName} Request Page`, props()),
    };
    return actions;
}
//# sourceMappingURL=entities-pagination.trait.actions.js.map