import { createAction } from '@ngrx/store';
export function createFilterTraitActions(actionsGroupKey, entitiesName) {
    const actions = {
        filterEntities: createAction(`${actionsGroupKey} Filter ${entitiesName}`, (props) => ({
            filters: props === null || props === void 0 ? void 0 : props.filters,
            forceLoad: props === null || props === void 0 ? void 0 : props.forceLoad,
            patch: props === null || props === void 0 ? void 0 : props.patch,
        })),
        storeEntitiesFilter: createAction(`${actionsGroupKey} Store ${entitiesName} Filter`, (props) => ({
            filters: props === null || props === void 0 ? void 0 : props.filters,
            patch: props === null || props === void 0 ? void 0 : props.patch,
        })),
    };
    return actions;
}
//# sourceMappingURL=filter-entities.trait.actions.js.map