export function createSelectEntityTraitSelectors() {
    function selectEntityIdSelected(state) {
        return state.selectedId;
    }
    function selectEntitySelected(state) {
        return (state.selectedId && state.entities[state.selectedId]) || undefined;
    }
    return {
        selectEntityIdSelected,
        selectEntitySelected,
    };
}
//# sourceMappingURL=select-entity.trait.selectors.js.map