import { sortData } from './sort-entities.utils';
export function createSortTraitMutators({ selectEntitiesList }, allConfigs) {
    function sortEntities({ active, direction }, state) {
        const { adapter } = allConfigs.loadEntities;
        const entities = selectEntitiesList(state);
        const sortedIds = sortData(entities, { active, direction }).map((v) => adapter.selectId(v));
        return Object.assign(Object.assign({}, state), { ids: sortedIds, sort: Object.assign(Object.assign({}, state.sort), { current: { active, direction } }) });
    }
    return {
        sortEntities,
    };
}
//# sourceMappingURL=sort-entities.trait.mutators.js.map