import { TraitEffect } from 'ngrx-traits';
import { FilterEntitiesActions } from '../filter-entities/filter-entities.model';
import { LoadEntitiesActions, LoadEntitiesSelectors } from '../load-entities';
import { CrudEntitiesActions } from '../crud-entities/crud-entities.model';
import { EntitiesPaginationSelectors } from './entities-pagination.model';
import { Type } from 'ngrx-traits';
import { ƟPaginationActions } from './entities-pagination.model.internal';
export declare function createPaginationTraitEffects<Entity>(allActions: ƟPaginationActions & FilterEntitiesActions<Entity> & LoadEntitiesActions<Entity> & CrudEntitiesActions<Entity>, allSelectors: LoadEntitiesSelectors<Entity> & EntitiesPaginationSelectors<Entity>): Type<TraitEffect>[];
