import { FilterEntitiesActions, FilterEntitiesKeyedConfig } from '../filter-entities/filter-entities.model';
import { LoadEntitiesActions, LoadEntitiesKeyedConfig, LoadEntitiesMutators, LoadEntitiesSelectors, LoadEntitiesState } from '../load-entities/load-entities.model';
import { EntitiesPaginationKeyedConfig, EntitiesPaginationMutators, EntitiesPaginationState } from './entities-pagination.model';
import { CrudEntitiesActions } from '../crud-entities';
import { ƟPaginationActions } from './entities-pagination.model.internal';
export declare function createPaginationInitialState<Entity>(previousInitialState: any, allConfigs: EntitiesPaginationKeyedConfig): LoadEntitiesState<Entity> & EntitiesPaginationState;
export declare function createPaginationTraitReducer<Entity, S extends LoadEntitiesState<Entity> & EntitiesPaginationState>(initialState: S, allActions: ƟPaginationActions & FilterEntitiesActions<Entity> & LoadEntitiesActions<Entity> & CrudEntitiesActions<Entity>, allSelectors: LoadEntitiesSelectors<Entity>, allMutators: EntitiesPaginationMutators<Entity> & LoadEntitiesMutators<Entity>, allConfigs: FilterEntitiesKeyedConfig<Entity, unknown> & LoadEntitiesKeyedConfig<Entity> & EntitiesPaginationKeyedConfig): import("@ngrx/store").ActionReducer<S, import("@ngrx/store").Action>;
