import { LoadEntitiesActions, LoadEntitiesState } from '../load-entities/load-entities.model';
import { FilterEntitiesKeyedConfig, FilterEntitiesMutators, FilterEntitiesState } from './filter-entities.model';
import { ƟFilterEntitiesActions } from './filter-entities.model.internal';
export declare function createFilterInitialState<Entity, F>(previousInitialState: any, allConfigs: FilterEntitiesKeyedConfig<Entity, F>): LoadEntitiesState<Entity> & FilterEntitiesState<F>;
export declare function createFilterTraitReducer<T, F, S extends LoadEntitiesState<T> & FilterEntitiesState<F>>(initialState: S, allActions: ƟFilterEntitiesActions<F> & LoadEntitiesActions<T>, allMutators: FilterEntitiesMutators<T, F>): import("@ngrx/store").ActionReducer<S, import("@ngrx/store").Action>;
