import { LoadEntitiesActions, LoadEntitiesKeyedConfig, LoadEntitiesState } from '../load-entities/load-entities.model';
import { SortEntitiesActions, SortEntitiesKeyedConfig } from '../sort-entities/sort-entities.model';
import { SelectEntitiesMutators, SelectEntitiesActions, SelectEntitiesState } from './select-entities.model';
import { CrudEntitiesActions } from '../crud-entities/crud-entities.model';
import { EntitiesPaginationActions, EntitiesPaginationKeyedConfig } from '../entities-pagination/entities-pagination.model';
import { FilterEntitiesActions } from '../filter-entities';
export declare function createSelectEntitiesInitialState<Entity>(previousInitialState: any): LoadEntitiesState<Entity> & SelectEntitiesState;
export declare function createSelectEntitiesTraitReducer<Entity, S extends LoadEntitiesState<Entity> & SelectEntitiesState>(initialState: S, allActions: SelectEntitiesActions & CrudEntitiesActions<Entity> & SortEntitiesActions<Entity> & LoadEntitiesActions<Entity> & FilterEntitiesActions<any> & EntitiesPaginationActions, allMutators: SelectEntitiesMutators<Entity>, allConfigs: LoadEntitiesKeyedConfig<Entity> & EntitiesPaginationKeyedConfig & SortEntitiesKeyedConfig<Entity>): import("@ngrx/store").ActionReducer<S, import("@ngrx/store").Action>;
