import { LoadEntitiesActions, LoadEntitiesKeyedConfig, LoadEntitiesState } from '../load-entities/load-entities.model';
import { SortEntitiesActions, SortEntitiesKeyedConfig } from '../sort-entities/sort-entities.model';
import { SelectEntityActions, SelectEntityKeyedConfig, SelectEntityMutators, SelectEntityState } from './select-entity.model';
import { CrudEntitiesActions } from '../crud-entities/crud-entities.model';
import { EntitiesPaginationActions, EntitiesPaginationKeyedConfig } from '../entities-pagination/entities-pagination.model';
import { FilterEntitiesActions } from '../filter-entities';
export declare function createSelectEntityInitialState<Entity>(previousInitialState: any, allConfigs: SelectEntityKeyedConfig): LoadEntitiesState<Entity> & SelectEntityState;
export declare function createSelectEntityTraitReducer<Entity, S extends LoadEntitiesState<Entity> & SelectEntityState>(initialState: S, allActions: SelectEntityActions & CrudEntitiesActions<Entity> & SortEntitiesActions<Entity> & EntitiesPaginationActions & FilterEntitiesActions<any> & LoadEntitiesActions<Entity>, allMutators: SelectEntityMutators<Entity>, allConfigs: SelectEntityKeyedConfig & LoadEntitiesKeyedConfig<Entity> & EntitiesPaginationKeyedConfig & SortEntitiesKeyedConfig<Entity>): import("@ngrx/store").ActionReducer<S, import("@ngrx/store").Action>;
