import { createAction, props } from '@ngrx/store';
export function createLoadEntitiesTraitActions(actionsGroupKey, entitiesName) {
    const actions = {
        loadEntities: createAction(`${actionsGroupKey} Load ${entitiesName}`),
        loadEntitiesSuccess: createAction(`${actionsGroupKey} Load ${entitiesName} Success`, props()),
        loadEntitiesFail: createAction(`${actionsGroupKey} Load ${entitiesName} Fail`, (props) => ({ error: props === null || props === void 0 ? void 0 : props.error })),
    };
    return actions;
}
//# sourceMappingURL=load-entities.trait.actions.js.map