import { createAction, props } from '@ngrx/store';
export function createSelectEntitiesTraitActions(actionsGroupKey, entitiesName) {
    return {
        selectEntities: createAction(`${actionsGroupKey} Select ${entitiesName}`, props()),
        deselectEntities: createAction(`${actionsGroupKey} Deselect ${entitiesName}`, props()),
        toggleSelectEntities: createAction(`${actionsGroupKey} Toggle Select ${entitiesName}`, props()),
        toggleSelectAllEntities: createAction(`${actionsGroupKey} Toggle Select All ${entitiesName}`),
        clearEntitiesSelection: createAction(`${actionsGroupKey} Clear ${entitiesName} Selection`),
    };
}
//# sourceMappingURL=select-entities.trait.actions.js.map