import { __rest } from "tslib";
export function deselectEntities(id, state) {
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    const _a = state.selectedIds, _b = id, _value = _a[_b], selectedIds = __rest(_a, [typeof _b === "symbol" ? _b : _b + ""]);
    return Object.assign(Object.assign({}, state), { selectedIds: selectedIds });
}
export function selectEntities(id, state) {
    return Object.assign(Object.assign({}, state), { selectedIds: Object.assign(Object.assign({}, state.selectedIds), { [id]: true }) });
}
export function toggleSelectEntities(id, state) {
    const selected = state.selectedIds[id];
    if (selected) {
        return deselectEntities(id, state);
    }
    else {
        return selectEntities(id, state);
    }
}
export function clearEntitiesSelection(state) {
    return Object.assign(Object.assign({}, state), { selectedIds: {} });
}
export function selectTotalSelectedEntities(state) {
    return Object.keys(state.selectedIds).length;
}
//# sourceMappingURL=select-entities.utils.js.map