import { createAction, props } from '@ngrx/store';
export function createSelectEntityTraitActions(actionsGroupKey, entityName) {
    return {
        selectEntity: createAction(`${actionsGroupKey} Select ${entityName}`, props()),
        deselectEntity: createAction(`${actionsGroupKey} Deselect ${entityName}`),
        toggleSelectEntity: createAction(`${actionsGroupKey} Toggle Select ${entityName}`, props()),
    };
}
//# sourceMappingURL=select-entity.trait.actions.js.map