export function createSelectEntityTraitMutators() {
    function selectEntity(id, state) {
        return Object.assign(Object.assign({}, state), { selectedId: id });
    }
    function deselectEntity(state) {
        return Object.assign(Object.assign({}, state), { selectedId: undefined });
    }
    function toggleSelectEntity(id, state) {
        return Object.assign(Object.assign({}, state), { selectedId: state.selectedId === id ? undefined : id });
    }
    return {
        selectEntity,
        deselectEntity,
        toggleSelectEntity,
    };
}
//# sourceMappingURL=select-entity.trait.mutators.js.map