import { EntityFeatureFactory, TraitsLocalStore } from 'ngrx-traits';
import { Provider, Type } from '@angular/core';
export declare function provideMockLocalTraits<T extends TraitsLocalStore<EntityFeatureFactory<any, any>>>({ traitFactory, selectors, }: {
    traitFactory: Type<T>;
    selectors?: {
        [key in keyof T['localSelectors']]?: ReturnType<T['localSelectors'][key]>;
    };
}): Provider[];
