import { FilterEntitiesActions, FilterEntitiesKeyedConfig } from '../filter-entities/filter-entities.model';
import { CrudEntitiesActions, CrudEntitiesKeyedConfig, CrudEntitiesMutators, CrudEntitiesState } from './crud-entities.model';
import { LoadEntitiesActions, LoadEntitiesKeyedConfig, LoadEntitiesState } from '../load-entities';
import { SortEntitiesActions, SortEntitiesKeyedConfig } from '../sort-entities';
import { EntitiesPaginationActions, EntitiesPaginationKeyedConfig } from '../entities-pagination';
export declare function createCrudInitialState<Entity>(previousInitialState: any): LoadEntitiesState<Entity> & CrudEntitiesState<Entity>;
export declare function createCrudTraitReducer<Entity, S extends LoadEntitiesState<Entity> & CrudEntitiesState<Entity>>(initialState: S, allActions: CrudEntitiesActions<Entity> & LoadEntitiesActions<Entity> & SortEntitiesActions<Entity> & FilterEntitiesActions<any> & EntitiesPaginationActions, allMutators: CrudEntitiesMutators<Entity>, allConfigs: CrudEntitiesKeyedConfig & FilterEntitiesKeyedConfig<Entity, unknown> & LoadEntitiesKeyedConfig<Entity> & SortEntitiesKeyedConfig<Entity> & EntitiesPaginationKeyedConfig): import("@ngrx/store").ActionReducer<S, import("@ngrx/store").Action>;
