import { SelectEntitiesState } from './select-entities.model';
import { LoadEntitiesState } from '../load-entities';
export declare function deselectEntities<S extends SelectEntitiesState>(id: number | string, state: S): S;
export declare function selectEntities<S extends SelectEntitiesState>(id: number | string, state: S): S;
export declare function toggleSelectEntities<S extends SelectEntitiesState>(id: number | string, state: S): S;
export declare function clearEntitiesSelection<S extends SelectEntitiesState>(state: S): S;
export declare function selectTotalSelectedEntities<Entity, S extends LoadEntitiesState<Entity> & SelectEntitiesState>(state: S): number;
