import { LoadEntitiesActions, LoadEntitiesKeyedConfig, LoadEntitiesState } from '../load-entities';
import { SortEntitiesActions, SortEntitiesKeyedConfig, SortEntitiesMutators, SortEntitiesState } from './sort-entities.model';
export declare function createSortInitialState<Entity>(previousInitialState: any, allConfigs: SortEntitiesKeyedConfig<Entity>): LoadEntitiesState<Entity> & SortEntitiesState<Entity>;
export declare function createSortTraitReducer<Entity, S extends LoadEntitiesState<Entity> & SortEntitiesState<Entity> = LoadEntitiesState<Entity> & SortEntitiesState<Entity>>(initialState: S, allActions: SortEntitiesActions<Entity> & LoadEntitiesActions<Entity>, allMutators: SortEntitiesMutators<Entity>, allConfigs: LoadEntitiesKeyedConfig<Entity> & SortEntitiesKeyedConfig<Entity>): import("@ngrx/store").ActionReducer<S, import("@ngrx/store").Action>;
